import { currentTronChainId as e } from "../constants/chains.constants.mjs";
import { preProcessing as t } from "../crypto/preProcessing.mjs";
import "../crypto/index.mjs";
import n from "./TronProviderAdapter.mjs";
import { Hinkal as r } from "../data-structures/Hinkal/Hinkal.mjs";
import "../data-structures/index.mjs";
//#region libs/shared/common/src/providers/prepareTronHinkal.ts
var i = async (i, a) => {
	await t();
	let o = new r(a), s = n(e);
	return await o.initProviderAdapter(i, s), await o.initUserKeys(), await o.resetMerkle(), o;
};
//#endregion
export { i as prepareTronHinkal };
